# This file created by conda-build 3.21.9
# ------------------------------------------------

package:
  name: llvm-openmp
  version: 14.0.6
source:
  folder: llvm-project
  sha256: 8b3cfd7bc695bd6cea0f37f53f0981f34f87496e79e2529874fd03a2f9dd3a8a
  url: https://github.com/llvm/llvm-project/releases/download/llvmorg-14.0.6/llvm-project-14.0.6.src.tar.xz
build:
  ignore_run_exports:
    - _openmp_mutex
    - libgcc-ng
    - libstdcxx-ng
  number: 0
  run_exports:
    strong:
      - _openmp_mutex * *_llvm
      - _openmp_mutex >=4.5
      - llvm-openmp >=14.0.6
  string: h9e868ea_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.38 h2a08ee3_1
    - binutils_linux-64 2.38.0 hc2dff05_0
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.07.19 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 11.2.0 h1234567_1
    - gcc_linux-64 11.2.0 h5c386dc_0
    - gxx_impl_linux-64 11.2.0 h1234567_1
    - gxx_linux-64 11.2.0 hc2dff05_0
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libcurl 7.84.0 h91b91d3_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.10.0 h8f2d780_0
    - libstdcxx-devel_linux-64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h5eee18b_3
    - openssl 1.1.1q h7f8727e_0
    - perl 5.26.2 h14c3975_0
    - rhash 1.4.1 h3c74f83_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.2.5 h7f8727e_1
    - zlib 1.2.12 h7f8727e_2
    - zstd 1.5.2 ha4553b6_0
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - libffi 3.3 he6710b0_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libllvm14 14.0.6 hef93074_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - llvm-tools 14.0.6 h9e868ea_0
    - llvmdev 14.0.6 h9e868ea_0
    - zlib 1.2.12 h7f8727e_2
  run:
    - zlib >=1.2.12,<1.3.0a0
  run_constrained:
    - openmp 14.0.6|14.0.6.*
test:
  commands:
    - test -f $PREFIX/lib/libomp.so
    - test -f $PREFIX/include/omp.h
    - $PREFIX/bin/clang -v -fopenmp -I$PREFIX/include -L$PREFIX/lib -Wl,-rpath,$PREFIX/lib
      omp_hello.c -o omp_hello
    - ./omp_hello
  files:
    - omp_hello.c
  requires:
    - clangxx
    - gxx_linux-64 11.2.0.*
about:
  dev_url: https://github.com/llvm/llvm-project
  doc_url: https://llvm.org/docs/
  home: https://openmp.llvm.org/
  license: Apache-2.0 WITH LLVM-exception
  license_family: Apache
  license_file: openmp/LICENSE.TXT
  summary: The OpenMP API supports multi-platform shared-memory parallel programming
    in C/C++ and Fortran.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: d08c90e1-4209-43c5-bd63-6e46d82b9307
  recipe-maintainers:
    - beckermr
    - h-vetinari
    - inducer
    - isuruf
    - jakirkham
    - katietz
    - yesimon
  remote_url: git@github.com:AnacondaRecipes/openmp-feedstock.git
  sha: 3c465be8f8750e6dfd0783f484772dd7ebb40558
